#ifndef TI_H
#define TI_H

//==== Includes

//-- sytem

//-- self

#include "Types.h"
#include "data.h"


//==== Consts

//-- names

static const byte tiPrgm     = 5;
static const byte tiProtPrgm = 6;
static const byte tiAppv     = 21;


//==== Types

//-- structs

struct TIFileInfo
{
	char comment[42];
	byte entry; //default=13, altvalue=11
	byte type;
	char name[8];
	byte version; //default=0
	bool archived;

	TIFileInfo()
		: entry(13), type(tiAppv), version(0), archived(false)
	{
		comment[0] = '\0';
		name[0] = '\0';
	}
};


//==== Functions

//-- declarations

bool binto8x(TIFileInfo& info, data& in, data& out);
bool binfrom8x(TIFileInfo& info, data& in, data& out);


#endif /* TI_H */